<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{this.selectedDay}}</ion-title>
    <ion-buttons slot="end">
      <ion-button (click)='close()'>
      <ion-icon slot="icon-only" name="close-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content fullscreen="true">
  <ion-header collapse="condense">
    <ion-toolbar class='custom-toolbar'>
      <ion-buttons slot="start" class='align-self-center'>
        <ion-button (click)='prevDay()'>
          <ion-icon slot="icon-only" name="chevron-back-outline"></ion-icon>
        </ion-button>
      </ion-buttons>
      <ion-title size="large" color='dark'>
        <div class="toolbar-title ion-text-center"><h2>
          {{this.selectedDay}}</h2>
        </div>
      </ion-title>
      <ion-buttons slot="end" class='align-self-center'>
        <ion-button (click)='nextDay()'>
          <ion-icon slot="icon-only" name="chevron-forward-outline"></ion-icon>
        </ion-button>
      </ion-buttons>
    </ion-toolbar>
  </ion-header>
  <div class='ion-margin' *ngIf='listTime.length > 0'>
    <div class='ion-text-center'>
      <h2>{{ 'calendar.scegli_orario' | translate }}</h2>
    </div>

    <ng-template ngFor let-time [ngForOf]="listTime" let-i="index" let-odd="odd" [ngForTrackBy]="trackById">
      <ion-button
        *ngIf='selectedAtIndex !== i'
        fill='outline' expand='block' size='large'
        class='mb-2' [disabled]='!time.availability'
      (click)='selectedTime(i)'>
        {{time.start_time}} - {{time.end_time}}
      </ion-button>
      <ion-row *ngIf='selectedAtIndex === i'>
        <ion-col size='6' class='ion-no-padding'>
          <ion-button color='secondary' fill='solid' size='large' expand='block' class='ion-no-padding'> {{time.start_time}} - {{time.end_time}}</ion-button>
        </ion-col>
        <ion-col size='6' class='ion-no-padding'>
          <ion-button (click)='save(time)'
            color='primary' fill='solid' size='large' expand='block' class='ion-no-padding'>{{ 'calendar.conferma' | translate }}</ion-button>
        </ion-col>
      </ion-row>
    </ng-template>

  </div>
  <div class='ion-margin' *ngIf='listTime.length === 0'>
    <h3>{{ 'calendar.nessuna' | translate }}</h3>
  </div>
</ion-content>
